The USB-AC cable tester shows which features a USB-A to USB-C cable supports.

purpose
=======

Devices using the USB-C connector become more common, but most computer hosts still use USB Type-A (aka. USB-A) connectors.
Thus USB-A to USB-C cable get widespread.
But there is indication  on the cable about its intended usage: just charge the device, also allow data transfer, or even support fast data transfer.
The USB-AC cable tester identifies the capabilities of USB-A to USB-C cables.

usage
=====

Plug both ends of the USB-A to USB-C cable in the USB-AC cable tester and read the lights:

- POWER: can be use to power a device (the VBUS and GND wires are present).
- USB 2.0: can be use for USB 2.0 data transfer (the D+ and D- wires are present).
- SHIELD: the cable is shielded, important for USB 3.0 Super Speed data transfer.
- USB 3.x: can be used for USB 3.0 Super Speed (SS) data transfer (the 2 differential pairs are present).
- Rp: the Rp pull-up resistor is present, required for USB-C orientation detection. Without Rp, the device might not turn on, or data transfer to normal or super speed might not be possible.

Fast charging: when connecting two USB-C devices, Rp is used by the source (e.g. host) to indicate to the sink (e.g. device) how much power it can draw (up to 0.5, 0.9, 1.5, or 3.0A).
This capability is not supported by USB-A to USB-C cables, which restrict to the default USB power capabilities (0.5A for USB 2.0, 0.9A for USB 3.x).
USB-C Power Delivery is also not possible using such cables.
USB Battery Charging (BC) and other proprietary charging standards using the USB data lines might still be possible, but depend on the charger, and is outside the scope of this tester.
